| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Attributes

# IG::Gr3d::ExampleValueFunctionDiff3D Class Reference

Inheritance diagram for IG::Gr3d::ExampleValueFunctionDiff3D:
[legend]
Collaboration diagram for IG::Gr3d::ExampleValueFunctionDiff3D:
[legend]

List of all members.

## Public Member Functions
| ExampleValueFunctionDiff3D ()
| ExampleValueFunctionDiff3D (IFunc2d originalFunction, IFunc2d approximatedFunction)
override double | Value (double x, double y, double z)
| Calculates and returns value of the current 3D scalar function.
## Properties
IFunc2d | ApproximatedFunction`[get, set]`
IFunc2d | OriginalFunction`[get, set]`
## Private Attributes
IFunc2d | _oapproximatedFunction
IFunc2d | _originalFunction

## Constructor & Destructor Documentation

IG::Gr3d::ExampleValueFunctionDiff3D::ExampleValueFunctionDiff3D | ( |  | ) | `[inline]`

IG::Gr3d::ExampleValueFunctionDiff3D::ExampleValueFunctionDiff3D | ( | IFunc2d | originalFunction,
|  | IFunc2d | approximatedFunction
| ) |  | `[inline]`

## Member Function Documentation

override double IG::Gr3d::ExampleValueFunctionDiff3D::Value | ( | double | x,
|  | double | y,
|  | double | z
| ) |  | `[inline]`

Calculates and returns value of the current 3D scalar function.

Parameters:

  x | First parameter.
  y | Second parameter.
  z | Third parameter.

Implements IG::Num::IFunc3d.

## Member Data Documentation

IFunc2d IG::Gr3d::ExampleValueFunctionDiff3D::_oapproximatedFunction`[private]`

IFunc2d IG::Gr3d::ExampleValueFunctionDiff3D::_originalFunction`[private]`

## Property Documentation

IFunc2d IG::Gr3d::ExampleValueFunctionDiff3D::ApproximatedFunction`[get, set]`

IFunc2d IG::Gr3d::ExampleValueFunctionDiff3D::OriginalFunction`[get, set]`

The documentation for this class was generated from the following file:

- TestVtkGraphic.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events